Skip to main content
GET
/
api
/
organizations
/
{organizationId}
/
whitelabel
/
users
/
{userId}
White Label Admin - Get a white label user
curl --request GET \
  --url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/users/{userId} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/users/{userId}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "user": {
    "id": 1,
    "username": "janjongboom",
    "name": "Jan Jongboom",
    "email": "quijote@edgeimpulse.com",
    "created": "2019-08-31T17:32:28Z",
    "staffInfo": {
      "isStaff": true,
      "hasSudoRights": true,
      "companyName": "<string>"
    },
    "pending": true,
    "activated": true,
    "mfaConfigured": true,
    "organizations": [
      {
        "id": 123,
        "name": "<string>",
        "isDeveloperProfile": true,
        "whitelabelId": 123,
        "isAdmin": true,
        "created": "2019-08-31T17:32:28Z",
        "trialId": 1,
        "trialExpiredDate": "2019-08-31T17:32:28Z",
        "trialUpgradedDate": "2019-08-31T17:32:28Z",
        "entitlementLimits": {
          "totalStorage": 123,
          "computeTimePerYear": 123,
          "gpuComputeTimePerYear": 123,
          "numberOfProjects": 123,
          "numberOfUsers": 123
        },
        "userCount": 123,
        "adminCount": 123,
        "privateProjectCount": 123,
        "publicProjectLicense": {
          "name": "<string>",
          "link": "<string>"
        },
        "logo": "<string>",
        "lastAccessed": "2023-11-07T05:31:56Z"
      }
    ],
    "projects": [
      {
        "id": 1,
        "name": "Water hammer detection",
        "description": "<string>",
        "created": "2019-07-21T17:32:28Z",
        "owner": "<string>",
        "ownerIsDeveloperProfile": true,
        "collaborators": [
          {
            "id": 1,
            "username": "janjongboom",
            "name": "Jan Jongboom",
            "email": "quijote@edgeimpulse.com",
            "created": "2019-08-31T17:32:28Z",
            "staffInfo": {
              "isStaff": true,
              "hasSudoRights": true,
              "companyName": "<string>"
            },
            "pending": true,
            "activated": true,
            "mfaConfigured": true,
            "isOwner": true,
            "photo": "https://usercdn.edgeimpulse.com/photos/1.jpg",
            "lastSeen": "2019-08-31T17:32:28Z",
            "jobTitle": "Software Engineer",
            "permissions": [],
            "companyName": "Edge Impulse Inc.",
            "stripeCustomerId": "<string>",
            "hasPendingPayments": true,
            "idps": [
              "<string>"
            ]
          }
        ],
        "metadata": {},
        "isEnterpriseProject": true,
        "whitelabelId": 123,
        "hasPublicVersion": true,
        "isPublic": true,
        "allowsLivePublicAccess": true,
        "indPauseProcessingSamples": true,
        "publicProjectListed": true,
        "lastAccessed": "2019-07-21T17:32:28Z",
        "lastModified": "2019-07-21T17:32:28Z",
        "lastModificationDetails": "Data sample added",
        "logo": "<string>",
        "ownerUserId": 123,
        "ownerOrganizationId": 123,
        "ownerAvatar": "<string>",
        "developerProfileUserId": 123,
        "dataExplorerScreenshot": "<string>",
        "whitelabelName": "<string>",
        "tags": [
          "FOMO",
          "beers"
        ],
        "deletedDate": "2023-11-07T05:31:56Z",
        "fullDeletionDate": "2023-11-07T05:31:56Z",
        "scheduledFullDeletionDate": "2023-11-07T05:31:56Z"
      }
    ],
    "experiments": [
      {
        "type": "<string>",
        "title": "<string>",
        "enabled": true,
        "showToUser": true,
        "help": "<string>"
      }
    ],
    "suspended": true,
    "trials": [
      {
        "id": 123,
        "userId": 123,
        "organizationId": 123,
        "created": "2023-11-07T05:31:56Z",
        "expirationDate": "2020-01-01T00:00:00Z",
        "expiredDate": "2023-11-07T05:31:56Z",
        "deletedDate": "2023-11-07T05:31:56Z",
        "upgradedDate": "2023-11-07T05:31:56Z",
        "notes": "This is a trial for the company's new project."
      }
    ],
    "photo": "https://usercdn.edgeimpulse.com/photos/1.jpg",
    "lastSeen": "2019-08-31T17:32:28Z",
    "jobTitle": "Software Engineer",
    "permissions": [],
    "companyName": "Edge Impulse Inc.",
    "stripeCustomerId": "<string>",
    "hasPendingPayments": true,
    "idps": [
      "<string>"
    ],
    "evaluation": true,
    "ambassador": true,
    "dailyMetrics": [
      {
        "date": "2021-01-01T00:00:00Z",
        "totalUsers": 100,
        "totalStaffUsers": 10,
        "totalProjects": 50,
        "totalCurrentContractCpuComputeTimeSeconds": 100000,
        "totalCurrentContractGpuComputeTimeSeconds": 100000,
        "totalCurrentContractComputeTimeSeconds": 100000,
        "computeTimeCalculatedSince": "2021-01-01T00:00:00Z",
        "totalStorageSizeBytes": 1000000000,
        "usersAdded": 10,
        "usersDeleted": 5,
        "projectsAdded": 10,
        "projectsDeleted": 5,
        "cpuComputeTimeSeconds": 10000,
        "gpuComputeTimeSeconds": 10000,
        "computeTimeSeconds": 10000,
        "storageBytesAdded": 1000000000,
        "storageBytesDeleted": 500000000,
        "staffUsersAdded": 1,
        "staffUsersDeleted": 1
      }
    ]
  },
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

organizationId
integer
required

Organization ID

userId
integer
required

User ID

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

user
object
required
error
string

Optional error description (set if 'success' was false)